gdlmm: Gdl::DockPlaceholder Class Reference

# Gdl::DockPlaceholder Class Reference

Inherits Gdl::DockObject.

Collaboration diagram for Gdl::DockPlaceholder:
[legend]

List of all members.

## Public Member Functions
virtual | ~DockPlaceholder ()
GdlDockPlaceholder* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockPlaceholder* | gobj () const
| Provides access to the underlying C GtkObject.
| DockPlaceholder (const Glib::ustring name, const DockObject& object, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE), bool sticky=true)
void | attach (DockObject& object)
Glib::PropertyProxy_ReadOnly < bool > | property_floating () const
| Indique si le substituant est destiné à un objet détachable flottant de premier niveau.
Glib::PropertyProxy_ReadOnly< int > | property_floatx () const
| Coordonnée X pour l'objet détachable lorsqu'il est flottant.
Glib::PropertyProxy_ReadOnly< int > | property_floaty () const
| Coordonnée Y pour l'objet détachable lorsqu'il est flottant.
Glib::PropertyProxy< int > | property_height ()
| Hauteur du composant graphique quand il est attaché au substituant.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Hauteur du composant graphique quand il est attaché au substituant.
Glib::PropertyProxy< int > | property_width ()
| Largeur du composant graphique quand il est attaché au substituant.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Largeur du composant graphique quand il est attaché au substituant.
Glib::PropertyProxy< DockObject* > | property_host ()
| L'objet détachable auquel la variable est attachée.
Glib::PropertyProxy_ReadOnly < DockObject* > | property_host () const
| L'objet détachable auquel la variable est attachée.
Glib::PropertyProxy < DockPlacement > | property_next_placement ()
| La position où un élément sera attaché à notre hôte si une requête est faite pour s'attacher à nous.
Glib::PropertyProxy_ReadOnly < DockPlacement > | property_next_placement () const
| La position où un élément sera attaché à notre hôte si une requête est faite pour s'attacher à nous.
Glib::PropertyProxy_ReadOnly < bool > | property_sticky () const
| Indique si la variable garde la dépendance vers son hôte ou se déplace dans la hiérarchie quand l'hôte est ré-attaché.
## Related Functions
(Note that these are not member functions.)
Gdl::DockPlaceholder* | wrap (GdlDockPlaceholder* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockPlaceholder::~DockPlaceholder | ( |  | ) | `[virtual]`

Gdl::DockPlaceholder::DockPlaceholder | ( | const Glib::ustring | name,
|  | const DockObject& | object,
|  | DockPlacement | position = `static_cast< DockPlacement >(DOCK_NONE)`,
|  | bool | sticky = `true` |
| ) |  |  | `[explicit]`

## Member Function Documentation

void Gdl::DockPlaceholder::attach | ( | DockObject& | object | ) |

const GdlDockPlaceholder* Gdl::DockPlaceholder::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

GdlDockPlaceholder* Gdl::DockPlaceholder::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

Glib::PropertyProxy_ReadOnly<bool> Gdl::DockPlaceholder::property_floating | ( |  | ) | const

Indique si le substituant est destiné à un objet détachable flottant de premier niveau.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockPlaceholder::property_floatx | ( |  | ) | const

Coordonnée X pour l'objet détachable lorsqu'il est flottant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockPlaceholder::property_floaty | ( |  | ) | const

Coordonnée Y pour l'objet détachable lorsqu'il est flottant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockPlaceholder::property_height | ( |  | ) | const

Hauteur du composant graphique quand il est attaché au substituant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::DockPlaceholder::property_height | ( |  | ) |

Hauteur du composant graphique quand il est attaché au substituant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<DockObject*> Gdl::DockPlaceholder::property_host | ( |  | ) | const

L'objet détachable auquel la variable est attachée.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<DockObject*> Gdl::DockPlaceholder::property_host | ( |  | ) |

L'objet détachable auquel la variable est attachée.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<DockPlacement> Gdl::DockPlaceholder::property_next_placement | ( |  | ) | const

La position où un élément sera attaché à notre hôte si une requête est faite pour s'attacher à nous.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<DockPlacement> Gdl::DockPlaceholder::property_next_placement | ( |  | ) |

La position où un élément sera attaché à notre hôte si une requête est faite pour s'attacher à nous.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gdl::DockPlaceholder::property_sticky | ( |  | ) | const

Indique si la variable garde la dépendance vers son hôte ou se déplace dans la hiérarchie quand l'hôte est ré-attaché.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::DockPlaceholder::property_width | ( |  | ) | const

Largeur du composant graphique quand il est attaché au substituant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::DockPlaceholder::property_width | ( |  | ) |

Largeur du composant graphique quand il est attaché au substituant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gdl::DockPlaceholder* wrap | ( | GdlDockPlaceholder * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockplaceholder.h